## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XString Class Reference

`#include <XString.hpp>`

Inheritance diagram for XString:

[legend]
Collaboration diagram for XString:

[legend]
List of all members.

## Public Types

- typedef XStringBase ParentType

## Public Methods

- XString (const XalanDOMString &val, MemoryManagerType &theManager)
    Construct an XString object from a string. More...
- XString (const XalanDOMChar *val, MemoryManagerType &theManager)
- XString (const XalanDOMChar *val, unsigned int len, MemoryManagerType &theManager)
- XString (const XString &source, MemoryManagerType &theManager)
- virtual ~XString ()
- void set (const XalanDOMString &theString)
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...

## Member Typedef Documentation

typedef XStringBase XString::ParentType

| Reimplemented from XStringBase.

## Constructor & Destructor Documentation

XString::XString ( | const XalanDOMString & val,
| MemoryManagerType & theManager )

  | Construct an XString object from a string. Parameters:
  value | source string

XString::XString ( | const XalanDOMChar * val,
| MemoryManagerType & theManager )

XString::XString ( | const XalanDOMChar * val,
| unsigned int len,
| MemoryManagerType & theManager )

XString::XString ( | const XString & source,
| MemoryManagerType & theManager )

XString::~XString ( | )`[virtual]`

## Member Function Documentation

void XString::set ( | const XalanDOMString & theString )

void XString::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Reimplemented from XStringBase.

const XalanDOMString & XString::str ( | ) const`[virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XStringBase.

double XString::stringLength ( | ) const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Reimplemented from XStringBase.

The documentation for this class was generated from the following file:

- XString.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.